package com.inspect.insreport.service;

import com.inspect.insreport.domain.InspectionReport;

import java.util.List;

public interface IInspectionReportService {
    InspectionReport selectInspectionReportByLineId(Long lineId);

    List<InspectionReport> selectInspectionReportList(InspectionReport inspectionReport);

    List<InspectionReport> selectByAllList(InspectionReport inspectionReport);

    int insertInspectionReport(InspectionReport inspectionReport);

    int updateInspectionReport(InspectionReport inspectionReport);

    int deleteInspectionReportByLineIds(Long[] lineIds);

    int deleteInspectionReportByLineId(Long lineId);
}
